<?php
/*
                 FA-Pass-Classe

               (c) Falk Amthor | http://php.faProjects.de
			   
			   ! Dieses Script darf nur fr non-komerzielle Zwecke kostenlos verwendet werden !

                - In alle zu schtzende Seiten ganz oben einfhgen -
				
				Beispiel:
                 --------
                include "class.config.php";
                $conf_pass= new Config("fa_ums_inc/conf.php");//Pfad zur Config-Datei
                include "class.fa_pass.php";
                $fa_ums= new fa_ums("1"); // 1 ist UserLevel
                --------

*/
class fa_ums{
var $user="";

### Haupt-Funktion
function fa_ums($UserLevel=1){
        global         $debug,                //Debuger
                        $conf_pass,                 // Config-Object
                        $$conf_pass->sess_class;                        //Session-Classe

        $this->sess_init(); //session-Initialisierung

        global $HTTP_SESSION_VARS;

        $this->user->user_id=$ums_user_id=$HTTP_SESSION_VARS["ums_user_id"];
        $this->user->user_level=$ums_user_level=$HTTP_SESSION_VARS["ums_user_level"];
        $this->user->redirect=$url=$HTTP_SESSION_VARS["ums_last_site"];
        $this->user->last_visit=$last_visit=$HTTP_SESSION_VARS["ums_last_visit"];

        // High-Protect (immmer Password prfen) - geht noch nicht!
        if($padasasdad){

                $ums_password=$HTTP_SESSION_VARS["ums_password"];
                $ums_login_name=$HTTP_SESSION_VARS["ums_login_name"];

                $query="SELECT $conf_pass->read_fields FROM $conf_pass->db_user_login
                        WHERE nic='$ums_login_name' AND pass='$ums_password'";

                $fa=$db->object($query);// Datenbank auslesen
                $fa=$fa[0];
                $ums_user_level=$fa->level;
                $ums_user_id=$fa->user_id;
        }

        // Auf User-ID checken:
        if(!$HTTP_SESSION_VARS["ums_login_status"] and $UserLevel>0){

                                global $HTTP_COOKIE_VARS;
                $cookie=$HTTP_COOKIE_VARS["fa_ums_C"];

                if($conf_pass->set_cookie and $cookie){

                        $data="ums_cookie=yes";
                        $this->set_position();
                        $url=$conf_pass->fa_ums_url."?$data&login=yes&".SID;
                        header("Location: $url");
                                                exit;
                }
                                $this->set_position();
                $this->login_failed("not_loged_in");
        }

        // Level-Check
        if($ums_user_level<$UserLevel and $UserLevel>-1){
                $this->login_failed("no_authorization&UserLevel_must_be=$UserLevel&your_level=$ums_user_level");
        }

        //Timeout
        $old_time=$HTTP_SESSION_VARS["ums_zeitstempel"];
        if($conf_pass->ums_timeout and $HTTP_SESSION_VARS["ums_login_status"] and $UserLevel>0){

                $check_time=$old_time + $conf_pass->ums_timeout;
                #ini_set("session.lifetime",$conf_pass->ums_timeout);
                #ini_set("session.gc_maxlifetime",$conf_pass->ums_timeout+60);
                //time-out!
                if($old_time and $check_time<time() and $UserLevel>-1){
                        session_unregister("ums_password");
                        session_unregister("ums_login_name");
                        session_unregister("ums_login_status");
                                                 $this->set_position();
                        $this->login_failed("timeout");
                }else{
                        global $ums_zeitstempel;
                        $ums_zeitstempel=time();
                        session_register("ums_zeitstempel");
                }
        }

        $this->user=$fa;

                $this->error();//Fehler-Handling
}
## Funktion zum weiterleiten
function login_failed($error){
        global $conf_pass,
                $ums_last_site,
                $QUERY_STRING,
                $REQUEST_URI; // zum "Merken" der Login-Seite

        $name=$conf_pass->sess_class;
        global $$name;
        $url=$conf_pass->url_login."?fa_ums_error=$error";
        $$name->redirectTo($url);
        exit;
}

function set_position(){
        global $conf_pass,
                $ums_last_site,
                $QUERY_STRING,
                $REQUEST_URI; // zum "Merken" der Login-Seite
        $l=$REQUEST_URI;
		if(getenv("HTTPS")){$ht="https";}else{$ht="http";}
    	$ums_last_site=$ht."://".getenv("SERVER_NAME").$l;

        $name=$conf_pass->sess_class;
        global $$name;
        session_register("ums_last_site");
        return;
}
function sess_init(){
        global $conf_pass, $debug, $GLOBALS;

        $name=$conf_pass->sess_class;
        global $$name;

        //Session Initialisieren.
        if(!$$name){
                if($debug){
                        echo "<br>Loading Session-Class '\$conf_pass->sess_class' (".$conf_pass->pfad_sess_class.").";
                }
				include_once ($conf_pass->pfad_sess_class);
                $$name = new Session($conf_pass->session, $conf_pass->use_no_cookies);
                
        }
}

function error(){
        global $conf_pass, $fa_ums_error, $fa_ums_ms;

        if($fa_ums_ms){
              $error=$fa_ums_ms;
        }else{
              $error=$fa_ums_error;
        }

        switch($error){
               case "not_loged_in":
                       $r=$conf_pass->error_ms_status1;
                       break;
                case "account_inactiv":
                     $r=$conf_pass->error_ms_status0;
                     break;
                case "wrong_login_data":
                      $r=$conf_pass->error_ms_status2;
                     break;
                case "no_authorization":
                     $r=$conf_pass->error_ms_status4;
                     break;
                case "timeout":
                     $r=$conf_pass->error_ms_status5;
                     break;
                case "account_locked":
                     $r=$conf_pass->error_ms_status3;
                     break;
				case "successfull_sending":
					$r=$conf_pass->error_ms_action1;
					break;
				case "activate_successful":
					$r=$conf_pass->error_ms_action2;
					break;
				case "activate_error":
					$r=$conf_pass->error_ms_action3;
					break;
				case "successfull_deleting":
					$r=$conf_pass->error_ms_action4;
					break;
				case "unable_to_delet":
					$r=$conf_pass->error_ms_action5;
					break;
                case "wrog_send_data":
					$r=$conf_pass->error_ms_action6;
					break;               
                default:
                      $r="";
        }
                if($conf_pass->error_rewrite){
                        $fa_ums_error=$r;
                }
                if($conf_pass->error_new_var){
                        global $ums_ERROR;
                        $ums_ERROR=$r;
                }
        return $r;
}

}// class end
?>