<?
#  --- + FA-Pass-Config-Datei + ----
#
#/**********************************
# FA-Pass (FA.UMS)
# Copyright (c) Falk Amthor
# http://php.faProjects.de
# Dieses Script ist nur fr non-komerzielle Zwecke frei!
# ***********************************/


################# Datenbank ################
# User-Tabelle
db_user_login={table}

db_name={Datenbank-Name}
db_host={db-host}
db_user={db-user}
db_pass={db-pass}

################## Pfade: ##################
# wie z.B. /home/www/domain.de/members oder
# c:/programme/apache/htdocs/members

# FA-Pass root-Verzeichnis
root='{root}'

# zur class.fa_pass.php
pfad_ums_class='{root}class/class.fa_pass.php'

# zur class.fa_db.php
pfad_db_class='{root}class/class.fa_db.php'

# zur class.session.php
pfad_sess_class='{root}class/class.session.php'

# Pfad zu den inc-Verzeichnis
pfad_inc='{root}inc'

################## Session: ################
# Session-Name
session=SID

# Var-Name der Session-klasse (ndern, falls der name gleich ist wie der Session-Name)
sess_class=session


################# Fehlermeldungen: ########
## der Text kann hier gendert werden
error_ms_emty = 'Es sind nicht alle Felder ausgefllt!'

error_ms_ungleich = 'Die doppetlt abgefragen Felder stimmen nicht berein!'

error_ms_email = 'Die E-Mail-Adresse stimmt nicht!'

error_ms_user = 'Der Nic-Name ist schon belegt, bitte whlen Sie einen anderen oder die E-Mail-Adresse wird schon verwendet.'

error_ms_status0 = 'Ihr Account wuder noch nicht Aktiviert!'

error_ms_status1='Bitte melden Sie sich an'

error_ms_status2='Ihre angegebenen Zugangsdaten waren nicht richtig. Bitte versuchen Sie es noch einmal'

error_ms_status3 = 'Ihr Account wurde gespert.'

error_ms_status4 = 'Sie haben keine Zugangsberechtigung zu dieser Seite'

error_ms_status5 = 'Timeout! Bitte melden Sie sich zur sicherheit noch einmal an'

error_ms_action1='Ihre Daten wurden gesendet!'

error_ms_action6='Ihre Daten konnten nicht gesendet werden!'

error_ms_action2='Account aktiviert!'

error_ms_action3='Account konnte nicht aktiviert werden!'

error_ms_action4='Ihr Account wurde gelscht!'

error_ms_action5='Ihr Account konnte nicht gelscht werden!'

# Error rewrite-mode: Ihr Fehlertext wird in der Variable $fa_ums_error gespeichert
error_rewrite=0

# Error-Text in einer extra Variable gespeichert (in $ums_ERROR)
error_new_var=1


################## Registrierung: ##########
# Wohin soll der User nach der Registrierung geleitet werden?
after_reg_url=http://{server}{URI}login.php

# Komplette URL zu fa_pass.php:
fa_ums_url=http://{server}{URI}fa_pass.php

# E-Mail-Besttigung: (1/0)
mail_check=0

# Admin aktiviert die Accounts
admin_activate=0

# Text zum Freischalten:
check_text={root}inc/text/check_text.txt

# alles so lassen!
all_fields='nic,pass,reg_mail'
reg_date=1;
check_fields=1;


################## Login: ###################
# URL zu der Login-Datei
url_login=http://{server}{URI}login.php

# URL zu der Standart-Datei nach dem Login
default_url=http://{server}{URI}index.php

# das so lassen
read_fields=*


################### Logout #####################
# Wohin soll der User nach dem Logout geleitet werden?
after_log_out=http://{server}{URI}login.php


############## Profil-nderung: ################
# MySQ_Felder, die gendert werden (im Profil):
# Wichtig: die Formularfelder mssen genauso benannt werden!
# (auer das E-Mail_Feld: da email benutzen!) Am besten einfach so lassen.
changed_fields='pass, reg_mail'

################ Passwort Senden: ##############
# Aktivieren:
send_pass=1

# Pfad zum Text-Tempalte
send_text={root}inc/text/send_text.txt

# Absender-Adresse (beim Versenden der Zugangsdaten):
from_addy=admin@domain.de

# Wohin soll der User nach den Senden geleitet werden?
after_send=http://{server}{URI}login.php


############## Lschen ##########################
# Auf welche Seite soll der User nach dem Lschen seines Accounts geleitet werden?
after_del=http://{server}{URI}login.php

############################ Admin: ############
# E-Mail-Adresse
admin_addy=admin@domain.de


################## Sonstiges: ##################

# Verknfung mit einem anderen Script im Admin-Menue
# (die User-Id wird als $uid bergeben) - Optional
# Syntax: url||name#
# Beispiel:
#         more_link='profil.php||Profil'
#         more_link='nochwas.php||Noch was'
more_link='profil.php||Profil'

# Timeout
ums_timeout=0

# Cookie Seztzen:
set_cookie=0

# nie Cookies benutzen
use_no_cookies=0

#----- ende -----------------#





ums_vol='3.1 Stable'