<?php
/*********************************
Formular-Funktions-Class 
(c) Falk Amthor
http://php.faprojects.de

Version 1.0

Note: Funktionen knnen nur so aufgerufen werdern: form::function();

**********************************/
class form{
	
	function init($abcdefgh,$val=""){
	
		if(!$val){
			$val=$GLOBALS[$abcdefgh];
			$val=stripslashes($val);
		}
		return $val;
	}
	
	function text($name,$val="",$size="15",$max="100"){
		$val=form::init($name,$val);		
		$res="<input ".form::text_style()." type=\"text\" name=\"$name\" value=\"$val\" size=\"$size\" maxlength=\"$max\">";
		return $res;
	}
	function pass($name,$val="",$size="15",$max="20"){
		$val=form::init($name,$val);		
		$res="<input ".form::pass_style()." type=\"password\" name=\"$name\" value=\"$val\" size=\"$size\" maxlength=\"$max\">";
		return $res;
	}
	
	function radio($name,$val,$data=1){
		if(!$val){
			global $$name;
			$val=$$name;
		}
		
		if(!$data){$data=1;}
		
		if($val){$checked="checked";}
		return "<input type=\"radio\" name=\"$name\" value=\"$data\"$checked>";
	}
	
	function hidden($name,$val=""){
		$val=form::init($name,$val);		
		$res="<input type=\"hidden\" name=\"$name\" value=\"$val\">";
		return $res;
	}
	
	function select($name="",$sel="",$val="",$size=""){
		if(!$val){$val=$sel;}
		$namen=explode(",",$sel);
		$vals=explode(",",$val);
		$i=0;
		$res="<select name=\"$name\" size=\"$size\">\n";										
		while($i<=count($namen)-1){
			$n=$namen[$i];
			global $$name;
			if($$name==$n){$selected="selected";}else{$selected="";}
			$res.="<option $selected value=\"$namen[$i]\">$vals[$i]</option>\n";
			
			$i++;
		}	
		$res.="</select>\n";
		return $res;
	}
	
	function area($name,$val="",$w="30",$h="5"){
		$val=form::init($name,$val);	
		$res="<textarea cols=\"$w\" rows=\"$h\" name=\"$name\" wrap=virtual>$val</textarea>";
		return $res;
	}
	
	function box($name,$val="",$dis=""){
		if(!$val){
			global $$name;
			$val=$$name;
		}
		if($val){$checked=" checked";}
		if($dis){
			$dis=" disabled";
		}
		$res='<input '.form::box_style().' type="checkbox" name="'.$name.'" value="1"'.$checked.$dis.'>';
		return $res;
	}
	
	function set($url="",$what="post"){
		if(!$url){
			global $PHP_SELF;
			$url=$PHP_SELF;
		}
		if(session_id()){// Session-Fallback
			$ad='<input type="hidden" name="'.session_name().'" value="'.session_id().'">';
		}
		return "<form action=\"$url\" method=\"$what\">\n$ad";
	}
	function submit($val="Senden",$name=""){
		return "<input ".form::button_style()." type=\"submit\" name=\"$name\" value=\"$val\">";	
	}
	function freset($val="Zur&uuml;cksetzen"){
		return '<input '.form::button_style().' value="'.$val.'" type="Reset">';
	}
	//Affen-Form mit DB
	function db_affe($felder,$table,$where="",$wie="post",$id_f=""){
		global $HTTP_POST_VARS,$HTTP_GET_VARS, $db;
		if($wie=="post"){
			$array=$HTTP_POST_VARS;
		}else{
			$array=$HTTP_GET_VARS;
		}
		//DB-SAVE-Query erzeugen
		if($array){
			$qfelder=explode(",",$felder);
			for($i=0;$i<=count($qfelder)-1;$i++){
				if($i!=0){$sq.=",";}
				$fn=$qfelder[$i];
				global $$fn;
				$sq.="'".$$fn."'";
			}
			$SQ="($felder) VALUES ($sq)";
			$db->query("REPLACE INTO $table $SQ");
			
		}
		//LESEN:
		if($where){$where="WHERE $where";}
		else if($id_f and $id=@$db->id()){
			$where="WHERE $id_f='$id'";
		}
		
		$res=$db->object("SELECT $felder FROM $table $where");
		form::mk_global($res[0]);
		return;
	}
	function mk_global($array){
		if($array){
			while(list($key,$val)=each($array)){
				global $$key;
				$$key=$val;
			}
		}
	}
	// Lschen aus einer DB
	function db_del($table,$where=""){
		global $db;
		if($where){$where="WHERE $where";}
		return $db->query("DELETE FROM $table $where");		
	}
	
	function auto($forms,$size){
		$forms=str_replace(" ","",$forms);
		$forms=explode(",",$forms);
		while(list(,$val)=each($forms)){
			global $$val;
			$temp=form::text($val,"",$size);			
			$$val=$temp;
		}
	}
	
	function test2reg($forms){
		$forms=str_replace(" ","",$forms);
		$forms=explode(",",$forms);
		while(list(,$val)=each($forms)){
			global $$val;
			if(!$$val){ $error=true;}
			else{ session_register("$val"); }
		}
		if(!$error){return true;}else{ return false;}
	}
	
	function text_style(){
		return "style=\"background-color : #EDEDED;\"";
	}
	function pass_style(){
		return "style=\"background-color : #EDEDED;\"";
	}
	function button_style(){
		return "style=\"background-color : #EDEDED; cursor : hand;\"";
	}
	function box_style(){
		return 'style="cursor : hand;" onClick="this.blur()"';
	}
	function back($val="Back"){
		return "<input onclick=\"history.back()\" ".form::button_style()." type=\"button\" value=\"$val\">";
	}
}
?>
